"use strict";
// Copyright 2018-2023 the Deno authors. All rights reserved. MIT license.
// This module is browser compatible.
Object.defineProperty(exports, "__esModule", { value: true });
exports.randomInteger = exports.filterInPlace = void 0;
/**
 * Filters the given array, removing all elements that do not match the given predicate
 * **in place. This means `array` will be modified!**.
 */
function filterInPlace(array, predicate) {
    let outputIndex = 0;
    for (const cur of array) {
        if (!predicate(cur)) {
            continue;
        }
        array[outputIndex] = cur;
        outputIndex += 1;
    }
    array.splice(outputIndex);
    return array;
}
exports.filterInPlace = filterInPlace;
/**
 * Produces a random number between the inclusive `lower` and `upper` bounds.
 */
function randomInteger(lower, upper) {
    return lower + Math.floor(Math.random() * (upper - lower + 1));
}
exports.randomInteger = randomInteger;
