"use strict";
// Copyright 2018-2023 the Deno authors. All rights reserved. MIT license.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
/** Functions for specific common tasks around collection types like `Array` and
 * `Record`. This module is heavily inspired by `kotlin`s stdlib.
 *
 * - All provided functions are **pure**, which also means that they do **not
 *   mutate** your inputs, **returning a new value** instead.
 * - All functions are importable on their own by referencing their snake_case
 *   named file (e.g. `collections/sort_by.ts`)
 *
 * This module re-exports several modules, and importing this module directly
 * will likely include a lot of code that you might not use.
 *
 * Consider importing the function directly. For example to import
 * {@linkcode groupBy} import the module using the snake cased version of the
 * module:
 *
 * ```ts
 * import { groupBy } from "https://deno.land/std@$STD_VERSION/collections/group_by.ts";
 * ```
 *
 * @module
 */
// Not sure what's causing this warning? Run `deno info <entry-point-path>` to
// analyze the module graph. It's not recommended to import directly from
// mod.ts here because it adds a lot of bloat.
console.warn("%c[WARN] deno_std: prefer importing collections/<function_name_in_snake_case>.ts " +
    "instead of collections/mod.ts", "color: yellow;");
__exportStar(require("./aggregate_groups.js"), exports);
__exportStar(require("./associate_by.js"), exports);
__exportStar(require("./associate_with.js"), exports);
__exportStar(require("./chunk.js"), exports);
__exportStar(require("./deep_merge.js"), exports);
__exportStar(require("./distinct.js"), exports);
__exportStar(require("./distinct_by.js"), exports);
__exportStar(require("./drop_while.js"), exports);
__exportStar(require("./filter_entries.js"), exports);
__exportStar(require("./filter_keys.js"), exports);
__exportStar(require("./filter_values.js"), exports);
__exportStar(require("./group_by.js"), exports);
__exportStar(require("./intersect.js"), exports);
__exportStar(require("./map_entries.js"), exports);
__exportStar(require("./map_keys.js"), exports);
__exportStar(require("./map_not_nullish.js"), exports);
__exportStar(require("./map_values.js"), exports);
__exportStar(require("./partition.js"), exports);
__exportStar(require("./permutations.js"), exports);
__exportStar(require("./find_single.js"), exports);
__exportStar(require("./sliding_windows.js"), exports);
__exportStar(require("./sum_of.js"), exports);
__exportStar(require("./max_by.js"), exports);
__exportStar(require("./max_of.js"), exports);
__exportStar(require("./min_by.js"), exports);
__exportStar(require("./min_of.js"), exports);
__exportStar(require("./sort_by.js"), exports);
__exportStar(require("./union.js"), exports);
__exportStar(require("./without_all.js"), exports);
__exportStar(require("./unzip.js"), exports);
__exportStar(require("./zip.js"), exports);
__exportStar(require("./join_to_string.js"), exports);
__exportStar(require("./max_with.js"), exports);
__exportStar(require("./min_with.js"), exports);
__exportStar(require("./includes_value.js"), exports);
__exportStar(require("./take_last_while.js"), exports);
__exportStar(require("./take_while.js"), exports);
__exportStar(require("./first_not_nullish_of.js"), exports);
__exportStar(require("./drop_last_while.js"), exports);
__exportStar(require("./reduce_groups.js"), exports);
__exportStar(require("./sample.js"), exports);
__exportStar(require("./running_reduce.js"), exports);
__exportStar(require("./binary_heap.js"), exports);
