"use strict";
// Copyright 2018-2023 the Deno authors. All rights reserved. MIT license.
// This module is browser compatible.
Object.defineProperty(exports, "__esModule", { value: true });
exports.partition = void 0;
function partition(array, predicate) {
    const matches = [];
    const rest = [];
    for (const element of array) {
        if (predicate(element)) {
            matches.push(element);
        }
        else {
            rest.push(element);
        }
    }
    return [matches, rest];
}
exports.partition = partition;
